/*-----------------------------------
* William Sullenger
-----------------------------------*/







* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img{
    max-width: 100%;
}

body {
    font-family: "Archivo", sans-serif;
    line-height: 1.6;
    color: #333;
    background-color: #fff;
}

.inner {
    max-width: 1100px;
    margin: 0 auto;
}


/*================Accueil========================*/

/*---Header---*/

.header nav {
position: relative;
z-index: 20000;
}


.header {
    text-align: center;
    padding: 2rem;

}
.flex{
    display: flex;
    justify-content: space-between;
}
.logo{
    width: 20%;
}
.navbar ul {
    list-style: none;
    display: flex;
    justify-content: right;
    margin-bottom: 1rem;
    padding: 0;

  
}

.navbar li {
    margin: 0 1rem;
}

.navbar a {
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 1rem;
 
}
li a{
    color: black;
}

 a.active{
    color: #EE0606;
}

.hero{
    z-index: -2;
}

.hero h1 {
    font-size: 15rem;
    font-weight: bold;
    color: #EE0606;
    letter-spacing: 0.2rem;
    line-height: 1;
    margin-bottom: 1rem;
    margin-top: 5rem;
    text-transform: uppercase;
    transform: rotate(-10deg);
    font-family: "Permanent Marker", serif;
    font-weight: 400;
    font-style: normal;
}

.hero p {
    font-size: 1.5rem;
    color: #444;
}

/*---Main---*/

main.content{
    margin-top: 6rem;
}

.tutorial{
    display: flex;
    justify-content: space-between;
    margin-bottom: 8rem;
    position: relative;
    gap: 2em;
   
}
.card-holder{
   /* background-color: #d7da1d; */
    /*padding: 10rem 0 0;*/
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.home .card-holder{
    width: 50%;

}

.tutorial-image{
    width:50%;
    object-fit: cover;
    filter: grayscale(100%);
}

.tutorial-image img{
    display: block;
    border: 1px solid black;
}

.tutorial-item{
    border: 1px solid #EE0606;
    margin: 0 1rem 0 0;
}

.tutorial-info{
    margin: 10px 8px 5px 8px;
}

.tutorial-info h4{
    font-size: 0.7rem;
}

.tutorial-info h3{
    font-size: 3.8rem;
    line-height: 3.9rem;
    
}

.tutorial-item .cta{
    text-decoration: none;
    color: #EE0606;
    font-weight: bolder;
    padding: 0.5em;
    border-top: 1px solid #EE0606;
    display: block;
}

.tutorial.tutorial-right{
    flex-direction: row-reverse;
}

h2.section-title {
      /*  background-color: #08e92d2d; */
    /*position: absolute;*/
    transform: translate(+50%) rotate(+15deg);
    top: 0;
    font-family: "Permanent Marker", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 10rem;
    padding-bottom: 0.5rem;
    color: #EE0606;
    z-index: 10;
}

h2.section-title-right {
    transform: translate(-30%) rotate(-15deg);
}



.tutorial-item .cta:hover{
    background-color: #EE0606;
    color: #fff ;
}




/*================Tutorials========================*/

.main-title{
    font-size: 15rem;
    font-weight: bold;
    color: #EE0606;
    letter-spacing: 0.2rem;
    line-height: 1;
    margin-bottom: 1rem;
    margin-top: 5rem;
    text-transform: uppercase;
    transform: rotate(-10deg);
    font-family: "Permanent Marker", serif;
    font-weight: 400;
    font-style: normal;
}

.categories-title{
    text-align: center;
}

/* Guides Grid */
.guides-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 columns */
    gap: 1.5rem; /* Space between items */
    padding: 0 2rem;
    margin: 2rem auto;
    margin-bottom: 10em;
}

.guide-item {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    background-color: #fff;
}

.guide-item:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.guide-item img {
    object-fit: cover;
    border-bottom: 1px solid #ddd;
    aspect-ratio: 1/1;
    width: 100%;
    display: block;
    background-color: rgb(230,230,230);
    filter: grayscale(100%);
    
}

.guide-item p {
    font-size: 1rem;
    color: #333;
    font-weight: 500;
    margin: 0.5rem 0;
}

/* Responsive Design */
@media (max-width: 1024px) {
    .guides-grid {
        grid-template-columns: repeat(2, 1fr); /* Switch to 2 columns */
    }
}

@media (max-width: 768px) {
    .guides-grid {
        grid-template-columns: 1fr; /* Single column layout for smaller screens */
    }
}


/*================About========================*/


/* Header */
.about-header {
    text-align: center;
    padding: 2rem;
}

.about-main-title {
    font-size: 6rem;
    font-family: "Permanent Marker", serif;
    color: #EE0606;
    margin: 1rem 0;
    letter-spacing: 2px;
}

.about-navbar-list {
    list-style: none;
    display: flex;
    justify-content: right;
    margin-bottom: 1rem;
    padding: 0;
}

.about-navbar-list li {
    margin: 0 1rem;
    z-index: 56;
}

.about-navbar-list a {
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 1rem;
}


/* Main Content */
.about-main-content {
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    padding: 2rem;
    max-width: 1100px;
    margin: 2rem auto;
    text-align: left;
}

.about-section {
    flex: 1;
}

.about-section-title {
    font-family: "Permanent Marker", serif;
    font-size: 2rem;
    color: #EE0606;
    margin-bottom: 1rem;
}

.about-section-text {
    font-size: 1rem;
    color: #333;
    line-height: 1.8;
    margin-bottom: 1.5rem;
}

/* Footer */
.about-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #e94c47;
    color: white;
    padding: 20px 50px;
    text-align: center;
}

.about-footer-section {
    flex: 1;
}

.about-contact-button {
    border: 2px solid white;
    background-color: transparent;
    color: white;
    font-size: 18px;
    font-weight: bold;
    padding: 10px 20px;
    cursor: pointer;
    text-transform: uppercase;
}

.about-contact-button:hover {
    background-color: white;
    color: #e94c47;
    transition: background-color 0.3s, color 0.3s;
}

.about-footer-title {
    font-family: "Permanent Marker", serif;
}

.about-footer-text {
    font-size: 14px;
    line-height: 1.5;
}

.about-footer-text a {
    color: white;
    text-decoration: underline;
}

.about-footer-text a:hover {
    text-decoration: none;
}

/* Responsive Design */
@media (max-width: 1024px) {
    .about-main-content {
        flex-direction: column;
        text-align: center;
    }

    .about-section {
        margin-bottom: 2rem;
    }

    .about-section-title {
        text-align: center;
    }
}




/*====================Contact=====================*/

/* Contact Page Specific Styles */
.contact-container {
    padding: 2rem;
    background-color: white;
}

.contact-header {
    text-align: center;
    margin-bottom: 2rem;
}

.contact-title {
    font-size: 4rem;
    font-weight: bold;
    color: #EE0606;
    text-transform: uppercase;
}

.contact-form-section {
    background-color: #EE0606;
    color: white;
    padding: 2rem;
    border-radius: 10px;
    margin-bottom: 3rem;
}

.contact-form-header {
    margin-bottom: 2rem;
}

.contact-form-header h3 {
    font-size: 1.8rem;
    font-weight: bold;
    margin-bottom: 0.5rem;
    font-family: "Permanent Marker", serif;
}

.contact-form-header p {
    font-size: 1rem;
    line-height: 1.5;
}

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.contact-form-group {
    display: flex;
    gap: 1rem;
}

.contact-input {
    flex: 1;
    padding: 1rem;
    border: 2px solid white;
    background-color: transparent;
    color: #fff;
    border-radius: 5px;
    font-size: 1rem;
}



.contact-textarea {
    padding: 1rem;
    border: 2px solid white;
    background-color: transparent;
    color: white;
    border-radius: 5px;
    font-size: 1rem;
    height: 150px;
}

.contact-submit {
    align-self: flex-start;
    padding: 1rem 2rem;
    border: none;
    background-color: white;
    color: red;
    font-size: 1.2rem;
    font-weight: bold;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.contact-submit:hover {
    background-color: #f4f4f4;
}

.contact-details {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    flex-wrap: wrap;
}

.details-section {
    flex: 1;
    min-width: 250px;
    margin-bottom: 2rem;
}

.details-section h4 {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 0.5rem;
    font-family: "Permanent Marker", serif;
    color: #EE0606;
}

.details-section p,
.details-section ul {
    font-size: 1rem;
    line-height: 1.6;
}

.details-section a {
    color: red;
    text-decoration: none;
    border-bottom: 1px solid red;
}

.details-section a:hover {
    text-decoration: underline;
}





/*====================videos tutos=====================*/

.tutorial-video{
    display: flex;
}
.tutorial-video video{
    width:100%; 
    object-fit: cover;
}


/*====================frisbee=====================*/




.hero-tutos h1 {
    font-size: 3rem;
    font-weight: bold;
    color: #EE0606;
    letter-spacing: 0.2rem;
    line-height: 1;
    margin-bottom: 1rem;
    margin-top: 5rem;
    text-transform: uppercase;
    transform: rotate(-10deg);
    font-family: "Permanent Marker", serif;
    font-weight: 400;
    max-width: 20em;
    margin: 2em auto 0;
}

.part{
    margin: 10rem 0;
}

.arrow-image {
    border: none;
    width: 30%;
    object-fit: cover;
}

.tutorial-item.tuto{
    margin: 0;
    padding: 0;
}

.arrow{
    display: flex;
    justify-content: space-between;
    position: relative;
    gap: 2em;
}

.arrow.arrow-right{
    flex-direction: row-reverse;
}

.reparation h2.section-title-right {
    transform: translate(30%) rotate(-05deg);
}

h2.resize{
    font-size: 19rem;
}

.tutorial-tips {    
    color: white;
    padding: 2rem;
    margin-top: 2rem;
}

.red{
    background-color: #EE0606;
}

.tips-warnings-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 2rem;
    margin-bottom: 2rem;
}

.tips, .warnings {
    flex: 1;
    min-width: 300px;
}

h3 {
    font-size: 1.8rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

ul {
    list-style: disc;
    margin-left: 1.5rem;
    font-size: 1rem;
    line-height: 1.8;
}

.materials {
    margin-top: 2rem;
}

.materials h3 {
    font-size: 1.8rem;
    font-weight: bold;
    margin-bottom: 1rem;
}







/*====================Footer=====================*/

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #e94c47; /* Background color */
    color: white; /* Text color */
    padding: 20px 50px;
    text-align: center;
}

.footer-section {
    flex: 1;
}

.contact-button {
    border: 2px solid white;
    background-color: transparent;
    color: white;
    font-size: 18px;
    font-weight: bold;
    padding: 10px 20px;
    cursor: pointer;
    text-transform: uppercase;
}

.contact-button:hover {
    background-color: white;
    color: #e94c47;
    transition: background-color 0.3s, color 0.3s;
}

.help h3, .address h3 {
    font-family: "Permanent Marker", serif;
    font-weight: normal;
}

.help p, .address p {
    font-size: 14px;
    line-height: 1.5;
}

.help a {
    color: white;
    text-decoration: underline;
}

.help a:hover {
    text-decoration: none;
}



/* Responsive Design  */
@media (max-width: 430px) {
    /* General Layout Adjustments */
    body {
        font-size: 14px;
    }

    .inner {
        padding: 0 1rem;
    }

    /* Navbar */
    .navbar ul {
        flex-direction: column;
        align-items: flex-start;
    }

    .navbar li {
        margin: 0.5rem 0;
    }

    .navbar a {
        font-size: 0.9rem;
    }

    /* Hero Section */
    .hero h1 {
        font-size: 6rem;
        line-height: 1.2;
    }

    .hero p {
        font-size: 1rem;
    }

    /* Tutorials Section */
    .tutorial {
        flex-direction: column;
        gap: 1rem;
        display: block;
    }

    .tutorial-item{
        margin: 0;
    }

    .tutorial-image,
    .card-holder {
        width: 100%;
    }

    .tutorial-image img {
        max-width: 100%;
        height: auto;
    }

    h2.section-title, h2.section-title-right {
        font-size: 2.3rem;
        transform: rotate(0deg);
        display: block;
        text-align: center;
    }

    .card-holder, .home .card-holder{
        width: 100%;
    }

    .tutorial-info h3 {
        font-size: 2rem;
    }

    .main-title{
        font-size: 3rem;
    }

    
    /* Footer */
    .footer {
        flex-direction: column;
        text-align: center;
    }

    .footer-section {
        margin-bottom: 1rem;
    }

    .contact-button {
        padding: 0.5rem 1rem;
        font-size: 1rem;
    }

    /* Contact Page (if applicable) */
    .contact-form-group {
        flex-direction: column;
    }

    .contact-input {
        margin-bottom: 1rem;
    }

    .contact-submit {
        align-self: center;
    }

    /* Tips and Warnings Section */
    .tips-warnings-container {
        flex-direction: column;
    }

    .tips, .warnings {
        margin-bottom: 1rem;
    }

    .materials {
        margin-top: 1rem;
    }

    .tutorial-item {
        flex-direction: column;
    }

    .tutorial-item img {
        margin: 0 0 1rem 0;
        max-width: 100%;
    }

    .hero h1 {
        font-size: 4rem;
    }

    .cta-section h2 {
        font-size: 3rem;
    }
}

